package com.YuyeTech.HeartRate.game.gameInfo.service;

import com.YuyeTech.HeartRate.common.service.CommonService;
import com.YuyeTech.HeartRate.game.gameInfo.projo.GameTagReference;
import com.YuyeTech.HeartRate.dto.GameTagDTO;
import com.YuyeTech.HeartRate.dto.PageInfoDTO;
import com.YuyeTech.HeartRate.game.gameInfo.vo.GameTagReferenceVo;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * @author:slambb
 * @date:2020/6/24
 */
public interface GameTagReferenceService extends CommonService<GameTagReferenceVo, GameTagReference, Integer> {

    List<PageInfoDTO>  findByGameId(String gameId, Pageable pageable);

    //根据游戏id 获取对应的游戏标签
    List<GameTagDTO> findGameTagByGameId(String gameRankingId, String gameId);
    List<GameTagDTO> findGameTagByGameId(String gameId);

    void saveGameTagReference(List<GameTagReference> gameTagReferenceList);
    void deleteGameTagByGameId(String gameId);

}
